import { postModel, getModel } from '@/utils/reqHelper'
import { url } from '../url'

// 字典数据
export const GetDictTree = getModel(url.dictTree);
export const PostImageUpload = postModel(url.ImageUpload);
export const GetSysconfigDetail = getModel(url.SysconfigDetail);

export const PostJobseekerRegister = postModel(url.JobseekerRegister);
export const PostCompanyRegister = postModel(url.CompanyRegister);
export const PostJobseekerlogin = postModel(url.Jobseekerlogin);
export const GetCaptcha = getModel(url.Captcha);
export const PostSmsSend = postModel(url.SmsSend);
export const PostJobseekerSmsLogin = postModel(url.JobseekerSmsLogin);
export const PostCustomerVerify = postModel(url.CustomerVerify);
export const PostJobseekerEditPwd = postModel(url.JobseekerEditPwd);
export const PostCompanyLoginByMobile = postModel(url.CompanyLoginByMobile);
export const PostJobseekerResetPwd = postModel(url.JobseekerResetPwd);

// 招聘会
export const PostRecruitmentBookcompany = getModel(url.RecruitmentBookcompany);// 获取招聘会参与的企业
export const PostRecruitmentList = getModel(url.RecruitmentList);// 招聘会列表

// 求职者管理中心
export const GetViewHistoryList = getModel(url.ViewHistoryList);
export const GetInterviewList = getModel(url.InterviewList);	// 获取应聘记录列表

// 企业管理中心
export const GetCompanyRecommentResume = getModel(url.CompanyRecommentResume);	// 推荐简历
export const PostCompanyProfile = getModel(url.CompanyProfile);	// 企业基本资料
export const PostCompanyEdit = postModel(url.CompanyEdit);	// 编辑企业
export const PostCompanyDetailInfo = getModel(url.CompanyDetailInfo);	// 企业详细信息【可编辑】
export const PostCompanyPhotoUpload = postModel(url.CompanyPhotoUpload);	// 修改企业图片
export const PostCompanyLicenseUpload = postModel(url.CompanyLicenseUpload);	// 更换营业执照接口
export const PostCompanyLogin = postModel(url.CompanyLogin);	// 登录
export const PostCompanyInfo = getModel(url.CompanyInfo);	// 企业信息
export const PostCompanyProbationList = getModel(url.CompanyProbationList);	// 见习基地
export const PostCompanyFamousList = getModel(url.CompanyFamousList);	// 知名企业/推荐企业

// 用户管理
export const GetCompanyFee = getModel(url.CompanyFee);	// 费用管理
export const PostCompanyPwdEdit = postModel(url.CompanyPwdEdit);	// 修改密码
export const PostCompanyEmailEdit = postModel(url.CompanyEmailEdit);	// 修改邮箱
// 职位管理
export const PostCompanyJobAdd = postModel(url.CompanyJobAdd);	// 添加职位
export const PostCompanyJobEdit = postModel(url.CompanyJobEdit);	// 编辑职位
export const PostCompanyJobList = getModel(url.CompanyJobList);	// 企业职位列表
export const GetCompanyJobInfo = getModel(url.CompanyJobInfo);	// 职位信息
export const PostCompanyJobDel = postModel(url.CompanyJobDel);	// 职位删除
export const PostCompanyJobRecycle = postModel(url.CompanyJobRecycle);	// 职位放到回收站
export const GetCompanyJobRecycleList = getModel(url.CompanyJobRecycleList);	// 职位放到回收站
export const PostCompanyJobRecoverRecycle = postModel(url.CompanyJobRecoverRecycle);	// 职位放到回收站
export const PostCompanyJobStatusChange = postModel(url.CompanyJobStatusChange);	// 职位放到回收站




// 部门管理
export const PostCompanyDepartmentAdd = postModel(url.CompanyDepartmentAdd);	// 新增部门
export const PostCompanyDepartmentEdit = postModel(url.CompanyDepartmentEdit);	// 编辑部门
export const GetCompanyDepartmentList = getModel(url.CompanyDepartmentList);	// 部门列表
export const PostCompanyDepartmentDel = postModel(url.CompanyDepartmentDel);	// 部门删除
export const PostCompanyRecrBookList = getModel(url.CompanyRecrBookList);	// 已预定招聘会列表

// 反馈
export const PostFeedbackAdd = postModel(url.FeedbackAdd);	// 新增部门
export const PostFeedbackDel = postModel(url.FeedbackDel);	// 编辑部门
export const PostFeedbackUpdate = postModel(url.FeedbackUpdate);	// 部门列表
export const GetFeedbackList = getModel(url.FeedbackList);	// 部门删除
export const GetFeedbackDetail = getModel(url.FeedbackDetail);	// 已预定招聘会列表



// 简历管理
export const GetCompanyResumeList = getModel(url.CompanyResumeList);	// 收到的简历列表
export const PostCompanyResumeRecycle = postModel(url.CompanyResumeRecycle);	// 简历放进回收站
export const PostCompanyResumeRecover = postModel(url.CompanyResumeRecover);	// 简历从回收站中恢复
export const GetCompanyResumeRecyclelist = getModel(url.CompanyResumeRecyclelist);	// 回收站简历列表
export const GetCompanyResumeInterviewList = getModel(url.CompanyResumeInterviewList);	// 面试邀请记录
export const PostCompanyResumeInterviewAdd = postModel(url.CompanyResumeInterviewAdd);	// 发起面试邀请
export const PostCompanyResumeInterviewDel = postModel(url.CompanyResumeInterviewDel);	// 删除面试邀请
export const PostCompanyResumeInterviewAdmission = postModel(url.CompanyResumeInterviewAdmission);	// 是否录取
export const PostCompanyResumeInterviewViewStatus = postModel(url.CompanyResumeInterviewViewStatus);	// 是否参加面试
export const GetCompanyResumeViewedContactList = getModel(url.CompanyResumeViewedContactList);	// 已查看联系方式

// 人才库
export const PostCompanyTalentPoolAdd = postModel(url.CompanyTalentPoolAdd);	// 添加人才库
export const PostCompanyTalentPoolDel = postModel(url.CompanyTalentPoolDel);	// 删除人才库记录
export const GetCompanyTalentPoolList = getModel(url.CompanyTalentPoolList);	// 人才库列表

// 企业开通微信小程序账号公司权限
export const PostCompanycustomercodeAdd = postModel(url.CompanycustomercodeAdd);	// 添加
export const PostCompanycustomercodeDel = postModel(url.CompanycustomercodeDel);	// 删除
export const PostCompanycustomercodeUpdate = postModel(url.CompanycustomercodeUpdate);	// 编辑
export const GetCompanycustomercodeList = getModel(url.CompanycustomercodeList);	// 列表
export const GetCompanycustomercodeDetail = getModel(url.CompanycustomercodeDetail);	// 添加	
// 展示广告位
export const GetAdvertscheduleList = getModel(url.AdvertscheduleList);	// 添加

export const GetSectionList = getModel(url.SectionList);	// 添加
export const GetSectionDetail = getModel(url.SectionDetail);	// 添加

export const GetArticleList = getModel(url.ArticleList);	// 添加
export const GetArticlenDetail = getModel(url.ArticlenDetail);	// 添加


// 职位
export const GetJobDetail = getModel(url.JobDetail);	// 获取职位详情
export const PostJobSearch = postModel(url.JobSearch);	// 职位搜索
export const GetJobNewest = getModel(url.JobNewest);	// 最新职位
export const GetJobCompanyjobs = getModel(url.JobCompanyjobs);	// 企业当前招聘职位
export const GetJobUrgentjobs = getModel(url.JobUrgentjobs);	// 急招职位
export const GetJobHighpayjobs = getModel(url.JobHighpayjobs);	// 高薪职位
export const GetJobCampusjobs = getModel(url.JobCampusjobs);	// 校园招聘
export const GetJobAuthDetail = getModel(url.JobAuthDetail);	// 获取职位详情--需登录


// 见习基地
export const GetCompanyProbationList = getModel(url.CompanyProbationList);	// 校园招聘
// 知名/推荐企业
export const GetCompanyFamousList = getModel(url.CompanyFamousList);	// 校园招聘

// 招聘会企业预定
export const PostRecruitmentbookAdd = postModel(url.RecruitmentbookAdd);	// 添加
export const PostRecruitmentbookDel = postModel(url.RecruitmentbookDel);	// 删除
export const PostRecruitmentbookUpdate = postModel(url.RecruitmentbookUpdate);	// 编辑
export const GetRecruitmentbookList = getModel(url.RecruitmentbookList);	// 列表
export const GetRecruitmentbookDetail = getModel(url.RecruitmentbookDetail);	// 详情

// 收藏 
export const PostJobseekAddfavorite = postModel(url.JobseekAddfavorite);
export const PostJobseekDelfavorite = postModel(url.JobseekDelfavorite);
export const PostJobseekUpdatefavorite = postModel(url.JobseekUpdatefavorite);
export const GetJobseekListfavorite = getModel(url.JobseekListfavorite);
export const GetJobseekFavoritedetail = getModel(url.JobseekFavoritedetail);
// 投递
export const PostJobseekAddapplication = postModel(url.JobseekAddapplication);
export const PostJobseekDelapplication = postModel(url.JobseekDelapplication);
export const PostJobseekUpdateapplication = postModel(url.JobseekUpdateapplication);
export const GetJobseekListapplication = getModel(url.JobseekListapplication);
export const GetJobseekApplicationdetail = getModel(url.JobseekApplicationdetail);
export const GetJobseekerReommendJob = getModel(url.JobseekerReommendJob);
export const PosCompanySearch = postModel(url.CompanySearch);


// 简历
// 列表
export const PostJobseekerList = postModel(url.JobseekerList);
export const GetJobseekerDetail = getModel(url.JobseekerDetail);


export const PostPersonInterviewViewStatus = postModel(url.PersonInterviewViewStatus);
export const GetPersonInterviewList = getModel(url.PersonInterviewList);
export const GetPersonInterviewDel = getModel(url.PersonInterviewDel);


// 基本资料
export const PostJobapplicantAdd = postModel(url.JobapplicantAdd);
export const PostJobapplicantDel = postModel(url.JobapplicantDel);
export const PostJobapplicantUpdate = postModel(url.JobapplicantUpdate);
export const GetJobapplicantList = getModel(url.JobapplicantList);
export const GetJobapplicantDetail = getModel(url.JobapplicantDetail);
// 联系方式
export const PostJobapplicantAddcontact = postModel(url.JobapplicantAddcontact);
export const PostJobapplicantDelcontact = postModel(url.JobapplicantDelcontact);
export const PostJobapplicantUpdatecontact = postModel(url.JobapplicantUpdatecontact);
export const PostJobapplicantListcontact = getModel(url.JobapplicantListcontact);
export const GetJobapplicantContactdetail = getModel(url.JobapplicantContactdetail);
// 证书技能
export const PostJobapplicantAddskill = postModel(url.JobapplicantAddskill);
export const PostJobapplicantDelskill = postModel(url.JobapplicantDelskill);
export const PostJobapplicantUpdateskill = postModel(url.JobapplicantUpdateskill);
export const PostJobapplicantListskill = getModel(url.JobapplicantListskill);
export const PostJobapplicantSkilldetail = getModel(url.JobapplicantSkilldetail);
// 培训经历 
export const PostJobapplicantAddtraining = postModel(url.JobapplicantAddtraining);
export const PostJobapplicantDeltraining = postModel(url.JobapplicantDeltraining);
export const PostJobapplicantUpdatetraining = postModel(url.JobapplicantUpdatetraining);
export const PostJobapplicantListtraining = getModel(url.JobapplicantListtraining);
export const PostJobapplicantTrainingdetail = getModel(url.JobapplicantTrainingdetail);
// 求职意向-基本 
export const PostJobapplicantAdddesirebase = postModel(url.JobapplicantAdddesirebase);
export const PostJobapplicantDeldesirebase = postModel(url.JobapplicantDeldesirebase);
export const PostJobapplicantUpdatedesirebase = postModel(url.JobapplicantUpdatedesirebase);
// export const PostJobapplicantListdesirebase = getModel(url.JobapplicantListdesirebase);
export const PostJobapplicantDesirebasedetail = getModel(url.JobapplicantDesirebasedetail);
// 求职意向-地区  
export const PostJobapplicantAdddesirearea = postModel(url.JobapplicantAdddesirearea);
export const PostJobapplicantDeldesirearea = postModel(url.JobapplicantDeldesirearea);
export const PostJobapplicantUpdatedesirearea = postModel(url.JobapplicantUpdatedesirearea);
export const PostJobapplicantListdesirearea = getModel(url.JobapplicantListdesirearea);
export const PostJobapplicantDesireareadetail = getModel(url.JobapplicantDesireareadetail);
// 求职意向-职位 
export const PostJobapplicantAdddesireindustry = postModel(url.JobapplicantAdddesireindustry);
export const PostJobapplicantDeldesireindustry = postModel(url.JobapplicantDeldesireindustry);
export const PostJobapplicantUpdatedesireindustry = postModel(url.JobapplicantUpdatedesireindustry);
export const PostJobapplicantListdesireindustry = getModel(url.JobapplicantListdesireindustry);
export const PostJobapplicantDesireindustrydetail = getModel(url.JobapplicantDesireindustrydetail);
// 工作经历
export const PostJobapplicantAddexperience = postModel(url.JobapplicantAddexperience);
export const PostJobapplicantDelexperience = postModel(url.JobapplicantDelexperience);
export const PostJobapplicantUpdateexperience = postModel(url.JobapplicantUpdateexperience);
export const PostJobapplicantListexperience = getModel(url.JobapplicantListexperience);
export const PostJobapplicantExperiencedetail = getModel(url.JobapplicantExperiencedetail);
// 证书
export const PostJobapplicantAddcertificate = postModel(url.JobapplicantAddcertificate);
export const PostJobapplicantDelcertificate = postModel(url.JobapplicantDelcertificate);
export const PostJobapplicantUpdatecertificate = postModel(url.JobapplicantUpdatecertificate);
export const PostJobapplicantListcertificate = getModel(url.JobapplicantListcertificate);
export const PostJobapplicantCertificatedetail = getModel(url.JobapplicantCertificatedetail);



export const PostJobapplicantAddintroduction = postModel(url.JobapplicantAddintroduction); // 个人介绍
export const PostJobapplicantDelintroduction = postModel(url.JobapplicantDelintroduction); // 个人介绍
export const PostJobapplicantUpdateintroduction = postModel(url.JobapplicantUpdateintroduction); // 个人介绍
export const GetJobapplicantListintroduction = getModel(url.JobapplicantListintroduction); // 个人介绍
export const GetJobapplicantIntroductiondetail = getModel(url.JobapplicantIntroductiondetail); // 个人详情